Zum Inhalt springen
Bpanda
Esc
↑↓navigieren↵öffnen⌘Jvorschau

List all remembered ArchiMate export reports.

List all remembered ArchiMate export reports. Lists the ArchiMate exports this warehouse remembers, newest first.

Security: Manager or Designer of the process space.

GET/v1/warehouses/{warehouseId}/archimate/export/reports
Autorisierung
AuthorizationBearer-Token (JWT) · headererforderlich
BpmLicenseAPI-Schlüssel · headererforderlich
Pfadparameter
warehouseIdstringerforderlich

ID of warehouse

Query-Parameter
onlyOwnbooleanerforderlich

If true, list only exports started by the calling user

limitinteger<int32>erforderlich

Maximum number of reports to list

Antworten
200

The listed export reports, newest first

Array von ArchimateExportReportSummary
changedElementsinteger<int32>erforderlich
droppedPropertiesinteger<int32>erforderlich
droppedRelationshipsinteger<int32>erforderlich
failurestring
finishedHistory
Eigenschaften anzeigen
atstringerforderlich
bystringerforderlich
idstringerforderlich
omittedProcessDraftsinteger<int32>erforderlich
readElementsinteger<int32>erforderlich
skippedElementsinteger<int32>erforderlich
snapshotSizeinteger<int32>erforderlich
startedHistory
Eigenschaften anzeigen
atstringerforderlich
bystringerforderlich
statusstringerforderlich
uncoveredElementsinteger<int32>erforderlich
vanishedElementsinteger<int32>erforderlich
writtenElementsinteger<int32>erforderlich
writtenRelationshipsinteger<int32>erforderlich
403

Forbidden: insufficient permissions

string
404

Warehouse not found

string
Ausprobieren
Server
Autorisierung
Parameter
Anfrage
curl -X GET 'https://goto.bpanda.com/api/v1/warehouses/string/archimate/export/reports?onlyOwn=true&limit=0' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY' \
  -H 'Accept: application/json'
Antwort
[
  {
    "changedElements": 0,
    "droppedProperties": 0,
    "droppedRelationships": 0,
    "failure": "string",
    "finished": {
      "at": "string",
      "by": "string"
    },
    "id": "string",
    "omittedProcessDrafts": 0,
    "readElements": 0,
    "skippedElements": 0,
    "snapshotSize": 0,
    "started": {
      "at": "string",
      "by": "string"
    },
    "status": "string",
    "uncoveredElements": 0,
    "vanishedElements": 0,
    "writtenElements": 0,
    "writtenRelationships": 0
  }
]